Bug 1675410 - monodevelop: FTBFS in Fedora rawhide/f30
Summary: monodevelop: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: monodevelop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timotheus Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS 1712729
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:55 UTC by Fedora Release Engineering
Modified: 2019-08-04 01:13 UTC (History)
5 users (show)

Fixed In Version: monodevelop-5.10.0-15.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-04 01:13:21 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:55 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:55 UTC, Fedora Release Engineering
no flags Details
state.log (645 bytes, text/plain)
2019-02-11 20:55 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:55:06 UTC
monodevelop failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32415271


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix monodevelop at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
monodevelop will be orphaned. Before branching of Fedora 31,
monodevelop will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:55:09 UTC
Created attachment 1531323 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:55:11 UTC
Created attachment 1531324 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:55:12 UTC
Created attachment 1531325 [details]
state.log

Comment 4 Timotheus Pokorra 2019-02-13 22:29:10 UTC
The package builds fine on all architectures but aarch64.

the error is:

				Errors:
				/builddir/build/BUILD/monodevelop-5.10/Main.sln (default targets) ->
				(Build target) ->
				/builddir/build/BUILD/monodevelop-5.10/src/addins/CSharpBinding/AspNet/CSharpBinding.AspNet.csproj (default targets) ->
				/usr/lib/mono/xbuild/14.0/bin/Microsoft.Common.targets (ResolveAssemblyReferences target) ->
					/usr/lib/mono/xbuild/14.0/bin/Microsoft.Common.targets: error : Error executing task ResolveAssemblyReference: Object reference not set to an instance of an object
					 441 Warning(s)
					 1 Error(s)
				Time Elapsed 00:06:58.2246920
BUILDSTDERR: make[1]: *** [Makefile:1055: sln_build] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/monodevelop-5.10'
BUILDSTDERR: make: *** [Makefile:584: all-recursive] Error 1
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.JNEARo (%build)
BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.JNEARo (%build)

Comment 5 Fedora Release Engineering 2019-04-26 23:29:47 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Timotheus Pokorra 2019-05-14 05:00:31 UTC
Seems it was fixed with Mono 5. I am rebuilding now for rawhide.

Comment 7 Elliott Sales de Andrade 2019-05-25 06:29:00 UTC
Looking at https://apps.fedoraproject.org/packages/monodevelop it doesn't appear there was a rebuild for Fedora 30.

Comment 8 Timotheus Pokorra 2019-07-26 05:10:03 UTC
There has not been any significant change to the package since the F29 build.
I have now started a F30 build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36546531

@Elliott: Do you think I should update MonoDevelop in F30? is there any real benefit?

Comment 9 Elliott Sales de Andrade 2019-07-26 05:38:50 UTC
Well, it's supposed to have been built with the toolchain that's actually in F30, and thus get any benefits from that and/or compiler flag changes for that release.

Comment 10 Fedora Update System 2019-07-26 06:51:46 UTC
FEDORA-2019-ea22ea643c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea22ea643c

Comment 11 Fedora Update System 2019-07-27 01:22:20 UTC
monodevelop-5.10.0-15.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea22ea643c

Comment 12 Fedora Update System 2019-08-04 01:13:21 UTC
monodevelop-5.10.0-15.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.